#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Test
%define	pnam	Pod-Coverage
Summary:	Test::Pod::Coverage - check for POD coverage in your CPAN distribution
Summary(pl.UTF-8):	Test::Pod::Coverage - sprawdzanie pokrycia POD w pakiecie CPAN
Name:		perl-Test-Pod-Coverage
Version:	1.10
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c9ea5f4182415b13d2db18484a38c01b
URL:		http://search.cpan.org/dist/Test-Pod-Coverage/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Pod-Coverage
BuildRequires:	perl-Test-Pod >= 1.14
BuildRequires:	perl-Test-Simple >= 0.64
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Checks for POD coverage in files for your CPAN distribution.

  use Test::Pod::Coverage tests=>1;
  pod_coverage_ok( "Foo::Bar", "Foo::Bar is covered" );

%description -l pl.UTF-8
Ten moduł sprawdza pokrycie POD w plikach dla pakietu CPAN.

  use Test::Pod::Coverage tests=>1;
  pod_coverage_ok( "Foo::Bar", "Foo::Bar jest pokryte" );

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorlib}/Test/Pod
%{perl_vendorlib}/Test/Pod/Coverage.pm
%{_mandir}/man3/Test::Pod::Coverage.3pm*
%changelog
* Fri Jan 08 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Test-Pod-Coverage.git;a=log;h=master

* Fri Jan 08 2016 Jakub Bogusz <qboosh@pld-linux.org> 2779314
- updated to 1.10

* Sat Mar 05 2011 Jakub Bogusz <qboosh@pld-linux.org> 7a764b0
- unified URLs form

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> aaa45a7
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 14a928e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9a95e15
- converted to UTF-8

* Thu Aug 24 2006 radek <radek@pld-linux.org> 9c965ad
- BR: perl-Test-Simple >= 0.64

* Tue Aug 15 2006 radek <radek@pld-linux.org> 2bd209e
- BR: perl-Test-Pod >= 1.14 for tests

* Sun Aug 13 2006 ankry <ankry@pld-linux.org> 2df5794
- cosmetics

* Thu Jun 22 2006 maciek2w <maciek2w@pld-linux.org> 1f7d423
- updated to 1.08
- added dir

* Thu Aug 18 2005 twittner <twittner@pld-linux.org> 4af98df
- pl fix (sprzedzanie -> sprawdzanie)

* Thu Aug 18 2005 radek <radek@pld-linux.org> c33ce9b
- release 1 (don't remember why was it 0.1...)

* Wed Aug 17 2005 Jakub Bogusz <qboosh@pld-linux.org> fc266ab
- pl, URL

* Sat Aug 13 2005 radek <radek@pld-linux.org> 7a3064f
- new

